/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.surefire;

import org.sonar.plugins.api.maven.*;
import org.sonar.plugins.api.maven.model.*;

public class SurefireMavenPluginHandler extends AbstractMavenPluginHandler {
  public static final String GROUP_ID = MavenUtils.APACHE_MOJO_GROUP_ID;
  public static final String ARTIFACT_ID = "maven-surefire-plugin";
  public static final String VERSION = "2.4.3";
  public static final String[] GOALS = new String[0];

  public String getGroupId() {
    return GROUP_ID;
  }

  public String getArtifactId() {
    return ARTIFACT_ID;
  }

  public String getVersion() {
    return VERSION;
  }

  public boolean isFixedVersion() {
    return false;
  }

  public String[] getGoals() {
    return GOALS;
  }

  public boolean shouldStopOnFailure() {
    return false;
  }

  public void configurePlugin(MavenPom pom, MavenPlugin plugin) {
    plugin.unsetConfigParameter( "reportsDirectory");
    plugin.setConfigParameter( "disableXmlReport", "false");
    plugin.setConfigParameter( "useFile", "true");
    plugin.setConfigParameter( "testFailureIgnore", "true");
  }
}
